Hooks:PostHook(WeaponTweakData, "init", "Duke1911ModInit", function(self)
if BeardLib.Utils:FindMod("Custom Attachment Points") and self.duke1911 then
	self:SetupAttachmentPoint("duke1911", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3(0, -2.4, -0.5),
		rotation = Rotation(0, 0, 0)
	})
	self:SetupAttachmentPoint("duke1911", {
		name = "a_fl_dukelaser",
		base_a_obj = "a_fl",
		position = Vector3(0, 0.2, 1.2),
		rotation = Rotation(0, 0, 0)
	})
end
end)